
QGIS Application - Bug report #7872

crashes if a project file of embed layers could not be found

2013-05-20 11:17 PM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16747

Description

I have a project with embed layers.

I changed the embed project file name, and when I re open the main project file, QGIS chrashes.

Associated revisions

Revision 8024df7c - 2013-06-12 04:26 PM - Matthias Kuhn

Don't crash if embedded group cannot be loaded (Fix #7872)

History

#1 - 2013-05-20 11:18 PM - Denis Rouzaud

Not sure this helps:

Fatal: QGIS died on signal 11

Stacktrace (run through c++filt):

./output/bin/qgis(_Z15myMessageOutput9QtMsgTypePKc+0x175)[0x54a5c7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x2e)[0x7f65aafcd41e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x718bf)[0x7f65aafcd8bf]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z6qFatalPKcz+0x94)[0x7f65aafcda64]

./output/bin/qgis(_Z9qgisCrashi+0x1f)[0x54a450]

/lib/x86_64-linux-gnu/libc.so.6(+0x364a0)[0x7f65a8abe4a0]

./output/bin/qgis(_ZN14QgsLegendGroup15setDrawingOrderEi+0x12)[0x81ca4c]

./output/bin/qgis(_ZN9QgsLegend7readXMLEP14QgsLegendGroupRK8QDomNode+0x3c0)[0x816956]

./output/bin/qgis(_ZN9QgsLegend7readXMLER8QDomNode+0x117)[0x81770b]

./output/bin/qgis(_ZN9QgsLegend11readProjectERK12QDomDocument+0x85)[0x81ab0d]

./output/bin/qgis[0x888d23]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7f65ab0eb281]

/home/denis/opt/qgis/Quantum-GIS/build-master/output/lib/libqgis_core.so.1.9.0(_ZN10QgsProject11readProjectERK12QDomDocument+0x47)[0x7f65ac6f3ba1]
/home/denis/opt/qgis/Quantum-GIS/build-master/output/lib/libqgis_core.so.1.9.0(_ZN10QgsProject4readEv+0x937)[0x7f65ac31a5b3]
/home/denis/opt/qgis/Quantum-GIS/build-master/output/lib/libqgis_core.so.1.9.0(_ZN10QgsProject4readERK9QFileInfo+0x5b)[0x7f65ac319c5b]
./output/bin/qgis(_ZN7QgisApp10addProjectE7QString+0x199)[0x56b10d]
./output/bin/qgis(_ZN7QgisApp11openProjectEP7QAction+0xa5)[0x56d15b]
./output/bin/qgis[0x876fa9]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7f65ab0eb281]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN5QMenu9triggeredEP7QAction+0x32)[0x7f65aa8a4ea2]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x6182bb)[0x7f65aa8a62bb]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7f65ab0eb281]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32)[0x7f65aa453132]
/usr/lib/x86_64-lin

0x7f65ac6f3ba1]

/home/denis/opt/qgis/Quantum-GIS/build-master/output/lib/libqgis_core.so.1.9.0(_ZN10QgsProject4readEv+0x937)[0x7f65ac31a5b3]

/home/denis/opt/qgis/Quantum-GIS/build-master/output/lib/libqgis_core.so.1.9.0(_ZN10QgsProject4readERK9QFileInfo+0x5b)[0x7f65ac319c5b]

./output/bin/qgis(_ZN7QgisApp10addProjectE7QString+0x199)[0x56b10d]

./output/bin/qgis(_ZN7QgisApp11openProjectEP7QAction+0xa5)[0x56d15b]

./output/bin/qgis[0x876fa9]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7f65ab0eb281]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN5QMenu9triggeredEP7QAction+0x32)[0x7f65aa8a4ea2]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x6182bb)[0x7f65aa8a62bb]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7f65ab0eb281]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32)[0x7f65aa453132]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x6f)[0x7f65aa45331f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x617119)[0x7f65aa8a5119]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x61d272)[0x7f65aa8ab272]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x684)[0x7f65aa4aa144]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0x5b)[0x7f65aa8ac80b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x7f65aa459894]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7f65aa45f0bf]

/home/denis/opt/qgis/Quantum-GIS/build-master/output/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0xa4)[0x7f65ac2143f4]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f65ab0d6e9c]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x172)[0x7f65aa45a862]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24c2c1)[0x7f65aa4da2c1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f65aa4d8bae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f65aa5020d2]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7f65a7347d53]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7f65a73480a0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f65a7348164]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x6f)[0x7f65ab1063bf]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7f65aa501d5e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7f65ab0d5c82]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7f65ab0d5ed7]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7f65ab0daf67]
./output/bin/qgis(main+0x2611)[0x54cc2f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed)[0x7f65a8aa976d]
./output/bin/qgis[0x54a159]
Aborted (core dumped)


65ac2143f4]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f65ab0d6e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x172)[0x7f65aa45a862]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24c2c1)[0x7f65aa4da2c1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f65aa4d8bae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f65aa5020d2]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7f65a7347d53]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7f65a73480a0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f65a7348164]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x6f)[0x7f65ab1063bf]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7f65aa501d5e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7f65ab0d5c82]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7f65ab0d5ed7]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7f65ab0daf67]
./output/bin/qgis(main+0x2611)[0x54cc2f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed)[0x7f65a8aa976d]
./output/bin/qgis[0x54a159]
Aborted (core dumped)


0_Eb+0x172)[0x7f65aa45a862]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24c2c1)[0x7f65aa4da2c1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f65aa4d8bae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f65aa5020d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7f65a7347d53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7f65a73480a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f65a7348164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x6f)[0x7f65ab1063bf]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7f65aa501d5e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7f65ab0d5c82]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7f65ab0d5ed7]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7f65ab0daf67]
./output/bin/qgis(main+0x2611)[0x54cc2f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed)[0x7f65a8aa976d]
./output/bin/qgis[0x54a159]
Aborted (core dumped)


f)[0x7f65ab1063bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7f65aa501d5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7f65ab0d5c82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7f65ab0d5ed7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7f65ab0daf67]

./output/bin/qgis(main+0x2611)[0x54cc2f]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed)[0x7f65a8aa976d]

./output/bin/qgis[0x54a159]

Aborted (core dumped)

#2 - 2013-06-07 04:09 AM - Matthias Kuhn

- Status changed from Open to Feedback

Can't reproduce. Can you provide example projects?

#3 - 2013-06-12 02:40 AM - Denis Rouzaud

- File test_embed.zip added

The crash only occurs if the embed layers are embed from a group and if you select the group.

I join a dataset. Rename or remove the embed file to make QGIS crashing.

#4 - 2013-06-12 07:26 AM - Matthias Kuhn

- Status changed from Feedback to Closed
Fixed in changeset commit:"8024df7c934eb9ae159f51ffc0653e8677cb2aff".

Files

test_embed.zip 225 KB 2013-06-12 Denis Rouzaud
